import { ODataFilter } from './filter';
import { ODataQueryParam } from './params';
import { OData } from './request';
export declare class EntitySet<T> {
    private _collection;
    private _client;
    constructor(collection: string, client: OData);
    private _checkError;
    private _getResult;
    retrieve(id: any, params?: ODataQueryParam): Promise<T>;
    find(base: Partial<T>): Promise<T[]>;
    query(param?: ODataFilter): Promise<T[]>;
    query(param?: ODataQueryParam): Promise<T[]>;
    count(filter?: ODataFilter): Promise<number>;
    create(body: Partial<T>): Promise<T>;
    update(id: any, body: Partial<T>): Promise<T>;
    delete(id: any): Promise<void>;
}
